/* You can add global styles to this file, and also import other style files */
@import "tailwindcss/base";
@import "tailwindcss/components";
@import "tailwindcss/utilities";
@import "poppins";
@import "simple-modal-overrides";
@import "global-animations";
@import '~quill/dist/quill.core.css';
@import '~quill/dist/quill.bubble.css';
@import '~quill/dist/quill.snow.css';
@import '@angular/cdk/overlay-prebuilt.css';

$ph-cols-remove-odd: false;
$ph-avatar-border-radius: 0;
$ph-cols: 13;

@import "~placeholder-loading/src/scss/placeholder-loading";


.lets-toast__dismiss {
  color: var(--color);
  opacity: .8;
}

.lets-toast__item {
  background-color: var(--bgColor);
  border: none;
  border-radius: 0;
  color: var(--color);
}

.lets-toast__item--error {
  --bgColor: var(--danger);
}

.lets-toast__item--info {
  --bgColor: var(--dark);
  --color: #fff;
}

.lets-toast__item--success {
  --bgColor: var(--primary);
}

.lets-toast__item--warning {
  --bgColor: hsl(47, 99%, 48%);
  --color: #000;
}

@import "~lets-toast/build/lets-toast.min.css";


img {
  pointer-events: none;
}

.ph-item {
  @apply mb-2;
}

.ph-row {
  div {
    height: 20px;
  }

  .big,
  &.big div {
    height: 40px;
  }
}


:root {
  --primary: #9529ff;
  --secondary: #FF0AA9;
  --dark: #130524;
  --danger: #ff193b;
  --lessDark: #A7C1D9;
}

.btn-text {
  @apply leading-4;
}

.transparent-btn {
  @apply py-2.5;
  @apply flex-row justify-between items-center;
}

.cta-primary-btn, .transparent-btn {
  transition: ease-in-out 333ms;
}

.cta-primary-btn {
  @extend .transparent-btn;
  @apply shadow-cvbuilder-button;

  .btn-text {
    @apply text-white;
  }

  &[disabled] {
    @apply opacity-60 shadow-cvbuilder-none;
  }
}

.cta-primary-btn:active, .transparent-btn:active {
  transform: scale(.99);
}

.app-icons {
  width: 20px;
  height: 20px;
}

.nav-dropdown-backdrop {
  @apply z-30 absolute w-screen h-screen;
}

button, *[contenteditable], input:focus-visible {
  outline: 0 solid transparent;
}

.container {
  @apply min-w-full mdCustom:min-w-screen-container;
}

.close-button {
  &:hover {
    path {
      fill: var(--secondary);
    }
  }

  &:active {
    @apply bg-bgFour;
  }
}

.nav-bar-header {
  @apply w-full shadow-cvbuilder-line flex justify-between items-center flex-row relative mdCustom:fixed z-auto mdCustom:z-40;
  @apply px-5 mdCustom:px-20 py-5;
}


[disabled], [disabled]:hover {
  @apply cursor-not-allowed;
}

.edit-button:hover > svg > path {
  fill: var(--secondary);
}

.nav-dropdown {
  @apply absolute p-5 bg-white shadow-cvbuilder-drop z-50;
  li {
    @apply w-40 mb-1.5;
  }

  li:last-child {
    @apply mb-0;
  }
}

.menu-folded {
  transition: ease-in-out 333ms;
  transform: rotateX(0deg);
}

.menu-dropped {
  transition: ease-in-out 333ms;
  transform: rotateX(180deg);
}

.anti-padding-1 {
  margin-left: -0.25rem;
}

.anti-padding-1-rtl {
  margin-right: -0.25rem;
}

.anti-padding-1-rtl-2 {
  margin-right: -1.5rem;
}

a:hover {
  cursor: pointer;
}

#waitingLoader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, .75) no-repeat center center;
  z-index: 10000;
  display: flex;
  justify-content: center;
  align-items: center;

  svg {
    max-width: 100px;
    max-height: 100px;
  }
}

.popper-tooltip-styles {
  @apply bg-dark p-2 text-white text-xs;
  border: 0;
  max-width: 12.5rem;
}
